//1. assign: evaluation

//Исследуйте код, найдите выражения в нём. Расставьте скобки так, что бы код не изменил своего поведения (работал так же
//как и сейчас). Объясните как и в каком порядке вычисляются выражения и подвыражения.
/*
const a = 5; // обьявление переменной
const b, c; //выражение
b = a * 5; // выражение
b = c = b/2; */
//Скобки можно везде убрать, либо же добавить в любом месте, и код все равно останентся корректным

//2. Number: age
// С помощью prompt спросить у пользователя его возраст и подсчитать год рождения. Год рождения вывести с помощью alert.
/*
const age = prompt('Сколько Вам лет?');
const bornYear = 2022 - age;

alert("Ваш год рождения " + bornYear ); */

// 3. Number: temperature
// С помощью prompt спросить у пользователя температуру в градусах Цельсия и перевести их в Фаренгейты и/или наоборот.
/*const tempC = prompt("Какая сейчас температура в градусах Цельсия");
const tempF = tempC * 1.8 + 32;

alert("Температура в Фарингейтах " + tempF); */

//4. Number: divide
// Сделайте калькулятор для расчета деления нацело двух чисел. Используйте Math.floor или альтернативы.
/*
const a = prompt("Введите a");
const b = prompt("Введите b");
const result = Math.floor(a / b);

alert("Результат деления a/b = " + result); */

//5. Number: currency
//Напишите код, который вычисляет обмен валют по курсу, заданному с помощью константы const rate = КУРС ВАЛЮТЫ Считайте
//значение в одной валюте с помощью prompt, после чего умножите/поделите это число на rate. Выведите результат используя
//alert. Ограничьте количество знаков после запятой двумя (нас не волнуют дробные части центов/копеек)
/*
const rate = 36.71;
const amount = prompt("Введите сумму (доллары США)");
const amountChange = amount * rate;

alert("Результат обменной операции - " + amountChange + " грн."); */

//6. Number: RGB

//С помощью prompt организуйте ввод трех констант red, green, blue в десятичной системе. Создайте из них CSS-цвет в
//формате #RRGGBB используя шестнадцатиричную систему счисления. Значения меньше 16ти пока можно не учитывать.
/*
const colorRed = +prompt("Введите целое число от 16 до 256");
const colorBlue = +prompt("Введите целое число от 16 до 256");
const colorGreen = +prompt("Введите целое число от 16 до 256");

const colorCss = "#" + colorRed.toString(16) + colorBlue.toString(16) + colorGreen.toString(16);
alert("Ваш цвет " + colorCss); */

//7. Number: flats
//Сделайте калькулятор, который позволит вам исходя из информации о количества этажей в доме и количества квартир на
// этаже находить подъезд и этаж определенной квартиры по её номеру.
/*
const porch = prompt("Введите количество подъездов в доме");
const area = prompt("Введите количество квартир на этаже");
const floor = prompt("Введите количество этажей в доме");
const flat = prompt("Введите номер квартиры");


const total = porch * floor * area; // Общее количество квартир в доме
const totalPorch = total / porch; // Количество квартир в одном подьезде
const numberPorch = Math.floor(1 + (flat - 1) / totalPorch) ; // Номер подьезда
const numberFloor = Math.floor(1 + ((flat - 1) % totalPorch) / area); //Номер этажа

alert(`Квартира № ${flat} находится в ${numberPorch} подъезде ${numberFloor} этаже`); */


